### Function

# EDataServer util_get_source_full_name

#### Declaration [src]

    gchar*
    e_util_get_source_full_name (
      _ESourceRegistry* registry,
      _ESource* source
    )

#### Description [src]

Constructs a full name of the `source` with all of its parents of the form: “<account-name> : <parent>/<source>” where the “<parent>/” part can be repeated zero or more times, depending on the deep level of the `source`.

#### Parameters

`registry`

  Type: `_ESourceRegistry*`

  An `ESourceRegistry`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`source`

  Type: `_ESource*`

  An `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

Full name of the `source` as a newly allocated string, which should be freed with `g_free()` when done with it.

Since 3.18.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.